## org.apache.log4j.lf5.viewer.categoryexplorer
Class CategoryElement

    java.lang.Object
      org.apache.log4j.lf5.viewer.categoryexplorer.CategoryElement

    public class CategoryElement

extends java.lang.Object

CategoryElement represents a single element or part of a Category.

Author:
  Michael J. Sikorsky, Robert Shaw

Field Summary
`protected java.lang.String` `_categoryTitle`

Constructor Summary
`CategoryElement()`
`CategoryElement(java.lang.String title)`

Method Summary
`java.lang.String` `getTitle()`
`void` `setTitle(java.lang.String title)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### _categoryTitle

    protected java.lang.String _categoryTitle

Constructor Detail

### CategoryElement

    public CategoryElement()

### CategoryElement

    public CategoryElement(java.lang.String title)

Method Detail

### getTitle

    public java.lang.String getTitle()

### setTitle

    public void setTitle(java.lang.String title)

Copyright © 1999-2007 Apache Software Foundation. All Rights Reserved.